Skip to main content

Create Pickup Location API:

Use this API to Create Pickup Location at Rapidshyp.

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/create/pickup_location
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl:

curl --location --globoff 'https://api.rapidshyp.com/rapidshyp/apis/v1/create/pickup_location' \
--header 'rapidshyp-token: {{WR}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"address_name": "Warehouse1",
"contact_name": "Cristiano Ronaldo",
"contact_number": "9999999999",
"email": "john.doe@example.com",
"address_line": "123 Main St",
"address_line2": "Suite 100",
"pincode": "110001",
"gstin": "24AAACO4716C1ZZ",
"dropship_location": true,
"use_alt_rto_address": true,
"rto_address": "",
"create_rto_address": {
"rto_address_name": "Warehouse2",
"rto_contact_name": "Sergio Ramos",
"rto_contact_number": "9999999999",
"rto_email": "jane.smith@example.com",
"rto_address_line": "456 RTO Rd",
"rto_address_line2": "Building B",
"rto_pincode": "110001",
"rto_gstin": ""
}
}'
Request ParametersRequiredRemarkValidation
address_nameMandatoryDefine a name to the warehouse/store/pickup locationMinimum 1 character
contact_nameMandatoryWarehouse manager nameOnly alphabets allowed
contact_numberMandatoryContact number of the POC at warehouseShould start with 7, 8, 9 and should be 10 digits
emailNon-MandatoryEmail of the POC at warehouse
address_line1MandatoryWarehouse/store address line 1Pickup address line 1 must be between 3 and 100 characters long
address_line2Non-MandatoryWarehouse/store address line 1Pickup address line 1 must be between 3 and 100 characters long
pincodeMandatoryLocation PincodeMust be 6-digit valid pincode
gstinNon-MandatoryLocation GSTIN if anyValid GSTIN number
dropship_locationNon-MandatoryMark true if the location is a drop ship locationAccepts boolean value
use_alt_rto_addressMandatorySeller can map different RTO location against a pickup location. In case RTO location is same, mark this field as FalseAccepts boolean value
rto_addressConditional-MandatoryUse to map already defined RTO address against the pickup location
create_rto_addressConditional-Mandatory
{
rto_address_nameMandatoryDefine a name to the warehouse/store/pickup locationMinimum 1 character
rto_contact_nameMandatoryWarehouse manager nameOnly alphabets allowed
rto_contact_numberMandatoryContact number of the POC at warehouseShould start with 7, 8, 9 and should be 10 digits
rto_emailNon-MandatoryEmail of the POC at warehouse
rto_address_lineMandatoryWarehouse/store address line 1Shipping address line 1 must be between 3 and 100 characters long
rto_address_line2Non-MandatoryWarehouse/store address line 2If entered, Shipping address line 2 must be between 3 and 100 characters long
rto_pincodeMandatoryLocation PincodeMust be 6-digit valid pincode
rto_gstinNon-MandatoryLocation GSTIN if anyValid GSTIN number
}

Response:

JSON
{
"status": "success",
"remark": "Address created successfully",
"pickup_location_name": "Warehouse1",
"rto_location_name": "Warehouse2"
}